<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
  <title>joPHPFlags check facility</title>
  <meta name="title" content="joPHPFlags check facility" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-language" content="en" />
  <meta name="author" content="IoDream" />
  <link rel="made" href="mailto:joATzerezoDOTcom" />
</head>
<body>
<h2 style="text-align: center;">joPHPFlags check facility</h2>
<?php
// +----------------------------------------------------------------------+
// | checkFlags.php                                                       |
// |   the joPHPFlags check facility, used to compare all the flags in    |
// |   the internal database with bitmapped ones (from www.crwflags.com). |
// +----------------------------------------------------------------------+
// |        joPHPFlags project                                            |
// | coded in PHP version 4 in 2004 by Joel Thieffry & the zeRezo group   |
// +----------------------------------------------------------------------+
// |  This source file is subject to the Lesser GNU Public Licence, which |
// | text can be found at http://www.gnu.org/licenses/lgpl.txt .          |
// +----------------------------------------------------------------------+
// | Authors: Joel Thieffry <jo@zerezo.com>                               |
// +----------------------------------------------------------------------+

/*
 * Note: to use this script effectively, you need to create a directory named
 *   reference_flags, then download individual reference flags from
 *   http://www.crwflags.com and rename them to the codename used in the
 *   project (look into joPHPFlags.inc.php).
 * If you don't understand the above, then this script isn't for you !
 */

  require_once("joPHPFlags.inc.php");

  // Set the default width and other options for future flags images.
  $sizeSuffix = '&w=324';
  // Retrieve the base URL for script and images.
  $baseDir = 'http://'.$_SERVER['SERVER_NAME'].(($_SERVER['SERVER_PORT'] == 80)?"":':'.$_SERVER['SERVER_PORT'])
             .dirname($_SERVER["REQUEST_URI"]);
  // The URL for shower script.
  $scriptName = $baseDir.'/showflag.php';
  // The base URL for images.
  $imageDir = dirname($_SERVER["PATH_TRANSLATED"])."/reference_flags/";
  // Get the flag list from the internal database.
  $allflags = jPF_getFlagList();

  foreach (jPF_getFlagList() as $key) {
    $name = strtoupper($key);
    $imageName = null;
    $imageInfo = false;
    // Trying to find the bitmap image of the flag.
    foreach(array(".png", ".gif", ".jpg", ".bmp") as $ext) {
      $imageNameTemp = $imageDir.$key.$ext;
      //echo "Testing $imageNameTemp<br />\n";
      if (file_exists($imageNameTemp)) {
        //echo "$imageNameTemp is found !<br />\n";
        $imageInfo = getImageSize($imageNameTemp);
        if ($imageInfo) {
          //echo "$imageNameTemp is OK !!<br />\n";
          $imageName = $baseDir."/reference_flags/".$imageName.$key.$ext;
          break;
        }
      }
    }
    // Display the image accordingly if the bitmap reference image was found or not.
    if ($imageInfo == false)
      echo "$name&nbsp;<img src=\"$scriptName?name=$key$sizeSuffix\" alt=\"[Generated flag for $name]\" border=\"1\" />"
          ."&nbsp;No reference flag found.<br />\n";
    else
      echo "$name&nbsp;<img src=\"$scriptName?name=$key&w=$imageInfo[0]\" alt=\"[Generated flag for $name]\" border=\"1\" />"
          ."&nbsp;<img src=\"$imageName\" $imageInfo[3] alt=\"[Reference flag for $name]\"  border=\"1\" /><br />\n";
  }
?>
</body>
</html>
