<?php
// +----------------------------------------------------------------------+
// | chooseFlag.php                                                       |
// |   the flag image online chooser.                                     |
// +----------------------------------------------------------------------+
// |        joPHPFlags project                                            |
// | coded in PHP version 4 in 2004 by Joel Thieffry & the zeRezo group   |
// +----------------------------------------------------------------------+
// |  This source file is subject to the Lesser GNU Public Licence, which |
// | text can be found at http://www.gnu.org/licenses/lgpl.txt .          |
// +----------------------------------------------------------------------+
// | Authors: Joel Thieffry <jo@zerezo.com>                               |
// +----------------------------------------------------------------------+

  require_once("joPHPFlags.inc.php");

  // Retrieve the base URL for script and images.
  $baseDir = 'http://'.$_SERVER['SERVER_NAME'].(($_SERVER['SERVER_PORT'] == 80)?"":':'.$_SERVER['SERVER_PORT'])
             .dirname($_SERVER["REQUEST_URI"]);
  // The URL for chooser script.
  $scriptChooseName = $baseDir.'/chooseFlag.php';
  // The URL for shower script.
  $scriptShowName = $baseDir.'/showFlag.php';

  // Get the codename of the flag.
  $codename = @$_REQUEST["name"];
  /*if (is_null($codename))
    $codename = "France";*/

  // Get the eventual width for the flag image.
  $width = @$_REQUEST["w"];
  if (is_null($width))
    $width = 0;
  // Get the eventual lenght for the flag image.
  $height = @$_REQUEST["h"];
  if (is_null($height))
    $height = 0;
  // Get the eventual border info for the flag image.
  $border = @$_REQUEST["border"];

  // Get the eventual no antialias request (for speedup).
  $noantialias = ! is_null(@$_REQUEST["noantialias"]);

  // Get the eventual image format.
  $imageFormat = @$_REQUEST["format"];

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
  <title>joPHPFlags flag chooser</title>
  <meta name="title" content="joPHPFlags check facility" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-language" content="en" />
  <meta name="author" content="IoDream" />
  <link rel="made" href="mailto:joATzerezoDOTcom" />
  <script language="JavaScript">
<!--
    // Add _param to the _list of parameters (HTTP GET method parameters) and return the new list.
    function addParam(_list, _param) {
      if (_list == "")
        return "?" + _param;
      else
        return _list + "&" + _param;
      /*var v = _list;
      if (v == "")
        v += "?";
      else
        v += "&";
      return v + _param;*/
    }

    // Show the image and the URLs.
    function showImage() {
      // Check if we really gonna do the refresh, otherwise exit.
      if (document.forms["flagchooser"].automatic.checked)
        showImageNoCheck();
    }

    // Show the image and the URLs. Refresh checking have to be done before calling this one.
    function showImageNoCheck() {
      // Some shotcuts.
      var form = document.forms["flagchooser"];
      var theImage = document.images['zeImage'];
      var theURL = document.links['zeURL'];
      if (theURL == null)  // Hack for MSIE.
        theURL = document.all['zeURL'];
      // Get the values from the form.
      var flagname = form.name.options[form.name.selectedIndex].value;
      var w = form.w.value;
      var h = form.h.value;
      var noantialias = form.noantialias.checked;
      var border = form.border.checked;
      // Make the URLs.
      var urlSuffix = "";
      if (flagname != "")
        urlSuffix = "?name="+flagname;
      if (w > 0)
        urlSuffix = addParam(urlSuffix, "w="+w);
      if (h > 0)
        urlSuffix = addParam(urlSuffix, "h="+h);
      if (noantialias)
        urlSuffix = addParam(urlSuffix, "noantialias=1");
      if (border)
        urlSuffix = addParam(urlSuffix, "border=1");
      var urlScriptShowNew = "<?php echo $scriptShowName; ?>" + urlSuffix;
      // Print the URLs and show the image.
      theImage.src = urlScriptShowNew;
      theURL.href = urlScriptShowNew;
      theURL.childNodes[0].nodeValue = urlScriptShowNew;
    }
-->
  </script>
</head>
<body style="text-align: center;" OnLoad="javascript:showImage();">
<h2>joPHPFlags flag chooser</h2>
<form name="flagchooser" action="<?php echo $scriptChooseName; ?>" method="get">
<fieldset>
<legend>Choose your flag :</legend>
Flag :&nbsp;<select name="name" OnChange="javascript:showImage();">
<option value="">(none)</option>
<?php
  foreach (jPF_getFlagList() as $key) {
    $name = strtoupper($key);
    $supp = (0==strcasecmp($codename, $key))?" selected":"";
    echo "<option value=\"$key\"$supp>$name</option>";
  }
?>
</select><br />
Width :&nbsp;<input type="text" name="w" value="<?php echo $width; ?>" OnChange="javascript:showImage();" OnBlur="javascript:showImage();" /><br />
Height :&nbsp;<input type="text" name="h" value="<?php echo $height; ?>" OnChange="javascript:showImage();" OnBlur="javascript:showImage();"" /><br />
<input type="checkbox" name="noantialias" value="1" <?php if ($noantialias) echo 'checked="checked" ' ?>OnClick="javascript:showImage();" /><label for="noantialias">No AntiAliasing</label><br />
<input type="checkbox" name="border" value="1"<?php if (! is_null($border)) echo 'checked="checked" ' ?>OnClick="javascript:showImage();" /><label for="border">Simple Border</label><br />
<hr />
<input type="button" name="qrefresh" value="Show Flag" OnClick="javascript:showImageNoCheck();" /><br />
<input type="checkbox" name="automatic" value="clicked" OnClick="javascript:showImage();" /><label for="automatic">Automatic refresh (beware of bandwidth abuse)</label><br />
<input type="submit" value="Submit !" /><small>&nbsp;(in case your browser doesn't support JavaScript)</small><br />
</fieldset>
</form>
<div name="output">
URL = <a name="zeURL" href="null">Link to the image</a><br />
<img name="zeImage" src="null" />
</div>
</body>
</head>
